Debian Bug report logs - #463128
Please allow later versions of gcc

version graph

Package: emile; Maintainer for emile is (unknown);

Reported by: "Martin Guy" <martinwguy@yahoo.it>

Date: Tue, 29 Jan 2008 18:09:02 UTC

Severity: wishlist

Found in version emile/0.10-1

Fixed in version 0.11-1

Done: Wouter Verhelst <w@uter.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Wouter Verhelst <wouter@debian.org>:
Bug#463128; Package emile. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
New Bug report received and forwarded. Copy sent to Wouter Verhelst <wouter@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: submit@bugs.debian.org
Subject: Please allow later versions of gcc
Date: Tue, 29 Jan 2008 18:05:16 +0000
Package: emile
Version: 0.10-1
Severity: wishlist

emile is the last package in Debian to require gcc-3.3
If it will compile with gcc-4 it can also be included in the new armel
architecture (which lacks even gcc-3.4) - at present it fails early on
because of signed/unsigned errors and -Werror

(at present, removing -Werror and using gcc4 the build fails on the
"struct" syntax error mentioned in #451415)

Thanks




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#463128; Package emile. Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 463128@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@debian.org>
To: Martin Guy <martinwguy@yahoo.it>, 463128@bugs.debian.org
Subject: Re: Bug#463128: Please allow later versions of gcc
Date: Tue, 29 Jan 2008 21:51:18 +0100
On Tue, Jan 29, 2008 at 06:05:16PM +0000, Martin Guy wrote:
> Package: emile
> Version: 0.10-1
> Severity: wishlist
> 
> emile is the last package in Debian to require gcc-3.3
> If it will compile with gcc-4 it can also be included in the new armel
> architecture (which lacks even gcc-3.4) - at present it fails early on
> because of signed/unsigned errors and -Werror

emile miscompiles with gcc 4 currently. I've updated my local copy to
use gcc 3.4, which seems to work (I need to get a testing box
operational); but using gcc 4 is not an option ATM.

-- 
<Lo-lan-do> Home is where you have to wash the dishes.
  -- #debian-devel, Freenode, 2004-09-22




Reply sent to Wouter Verhelst <w@uter.be>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Martin Guy" <martinwguy@yahoo.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 463128-done@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <w@uter.be>
To: 463128-done@bugs.debian.org
Subject: Forgot changelog update
Date: Mon, 4 Feb 2008 18:28:40 +0100
Version: 0.11-1

Hi,

I just noticed that I forgot to update the changelog so that it would
make reference of this bug. However, the recent upload of emile 0.11-1
changed the compiler from gcc-3.3 to gcc-3.4, which should fix this bug.

-- 
<Lo-lan-do> Home is where you have to wash the dishes.
  -- #debian-devel, Freenode, 2004-09-22




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Mar 2008 07:29:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:18:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.